## gdal 3.1.0+dfsg

=== debian/changelog ===
gdal (3.1.0+dfsg-1) unstable; urgency=medium

  [ Momtchil Momtchev ]
  * Add bcep file to exclude bash-completion from python3 byte-compiling.
    py3compile works fine, but pypy3compile fails.

  [ Bas Couwenberg ]
  * Rename gdal.bcap to gdal-bin.bcep, use dir instead of re.
  * Update symbols for 3.1.0.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jun 2020 05:47:36 +0200

gdal (3.1.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 May 2020 16:31:29 +0200

gdal (3.1.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop d-shlibs build dependency.
  * Drop ant build dependency.
  * Rename library package for SONAME bump.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 13:59:07 +0200

gdal (3.1.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop spelling-errors.patch, applied upstream.
  * Update symbols for 3.1.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Apr 2020 06:07:37 +0200

gdal (3.1.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Explicitly enable CPU optimizations on amd64 & i386.
    (closes: #954917)
  * Drop libgdal-java package.
    (closes: #947960)
  * Exclude doc directory from repacked upstream tarball.
  * Refresh patches.
  * Update copyright file.
  * Drop libgdal-doc package, license & copyright review is unpleasant.
  * Enable bash-completion support.
  * Add patch to fix spelling errors.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 16:03:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

PYVERS=$(shell py3versions -v -r)
PYDEF=$(shell py3versions -dv)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

ifeq (,$(DEB_HOST_MULTIARCH))
  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
  WITH_SSE=yes
  WITH_SSSE3=yes
  WITH_AVX=yes
else
  WITH_SSE=no
  WITH_SSSE3=no
  WITH_AVX=no
endif

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)
	@echo Perl default: $(PERLDEF)

#
# The following targets are useful to autogen independent plugins sources
#
gdal-grass: override_dh_auto_configure gdal-grass-dist override_dh_auto_clean override_dh_clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/libgdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-ecw: override_dh_auto_configure gdal-ecw-dist override_dh_auto_clean override_dh_clean
gdal-ecw-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/ecw dist
	mv $(CURDIR)/frmts/ecw/libgdal-ecw-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-mrsid: override_dh_auto_configure gdal-mrsid-dist override_dh_auto_clean override_dh_clean
gdal-mrsid-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/mrsid dist
	mv $(CURDIR)/frmts/mrsid/libgdal-mrsid-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

%:
	if [ "$@" != "gdal-grass" -a "$@" != "gdal-ecw" -a "$@" != "gdal-mrsid" ]; then \
		dh $@ --with python3 ; \
	fi

override_dh_clean:
	dh_clean config.log

override_dh_auto_clean:
	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/perl/*.bs $(CURDIR)/swig/perl/doc
	rm -rf $(CURDIR)/.libs
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
	rm -rf $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
	rm -rf $(CURDIR)/frmts/o/.libs
	rm -f  $(CURDIR)/islibdappost310.*

override_dh_auto_configure:
	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-hide-internal-symbols=yes \
			--with-rename-internal-libtiff-symbols=yes \
			--with-rename-internal-libgeotiff-symbols=yes \
			--with-threads \
			--with-sse=$(WITH_SSE) \
			--with-ssse3=$(WITH_SSSE3) \
			--with-avx=$(WITH_AVX) \
			--with-bash-completion=yes \
			--with-armadillo=yes \
			--with-cfitsio=yes \
			--with-charls \
			--with-curl \
			--with-ecw=no \
			--with-epsilon=/usr \
			--with-freexl=yes \
			--with-geos \
			--with-geotiff=yes \
			--with-grass=no \
			$(WITH_HDF5) \
			--with-libjson-c=/usr \
			--with-libkml=yes \
			--with-liblzma=yes \
			--with-libtiff=yes \
			--with-mrsid=no \
			--with-mysql \
			--with-netcdf \
			--with-odbc \
			--with-ogdi \
			--with-openjpeg=yes \
			--with-pg \
			--with-poppler=yes \
			--with-proj=yes \
			--with-qhull=yes \
			--with-sosi=yes \
			--with-spatialite=/usr \
			--with-sqlite3 \
			--with-webp \
			--with-xerces \
			--with-zstd \
			--with-dods-root=/usr \
			--with-perl \
			--with-python; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done

override_dh_auto_build:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) $(NJOBS) lib-target apps-target
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	$(MAKE) $(NJOBS) -C $(CURDIR)/swig/perl generate build doc

	# It needs pre-installing just after the building due to intermediate cleaning.
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python clean && \
		$(MAKE) -C $(CURDIR)/swig/python generate && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python build && \
		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
	done

override_dh_auto_install:
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) $(NJOBS) install BINDINGS="perl" DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) $(NJOBS) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_MAN=\$$(prefix)/share/man"

	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.

	# removing useless autogenerated man pages
	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/LICENSE.TXT

	# removing la file
	rm -f $(CURDIR)/debian/tmp/usr/lib/libgdal.la

	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;

	# copy sample programs for python3-gdal
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples
	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.

override_dh_install:
	dh_install --autodest --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs -A third_party/LercLib/NOTICE

	# Remove autogenerated Doxygen files
	rm -f $(CURDIR)/debian/*/usr/share/doc/libgdal-perl-doc/*/*.md5

override_dh_python3:
	dh_python3 -X.info -pgdal-bin -ppython3-gdal --shebang=/usr/bin/python3
	dh_numpy3 -pgdal-bin -ppython3-gdal

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols on all archs
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
	# Forces failure when symbols change
	#dh_makeshlibs -- -v$(UPSTREAM_VERSION)

override_dh_shlibdeps:
	dh_shlibdeps -L libgdal26 -l debian/libgdal26/usr/lib

## gdal 3.1.1+dfsg

=== debian/changelog ===
gdal (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.1.1~rc1.
  * Strip pre-releases from symbols version.
  * Include additional utilities in gdal-bin.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jun 2020 15:29:58 +0200

gdal (3.1.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jun 2020 11:55:34 +0200

=== debian/control ===
Source: gdal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-python,
               doxygen,
               graphviz,
               chrpath,
               bash-completion,
               libarmadillo-dev,
               libcfitsio-dev,
               libcharls-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libdap-dev,
               libdoxygen-filter-perl,
               libepsilon-dev (>= 0.9.1-1~),
               libexpat1-dev,
               libfreexl-dev (>= 1.0.0),
               libfyba-dev,
               libgeos-dev,
               libgeotiff-dev (>= 1.5.0),
               libgif-dev,
               libhdf4-alt-dev,
               libhdf5-dev (>= 1.8.8),
               libjpeg-dev,
               libjson-c-dev,
               libkml-dev (>= 1.3.0~rc0-3),
               liblzma-dev,
               libmodern-perl-perl,
       default-libmysqlclient-dev,
               libnetcdf-dev (>= 1:4.0.0),
               libogdi-dev,
               libopenjp2-7-dev,
               libpcre3-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpq-dev,
               libproj-dev (>= 6.0.0),
               libqhull-dev,
               libspatialite-dev (>= 4.3.0-3~),
               libsqlite3-dev,
               libtiff-dev,
               liburiparser-dev,
               libwebp-dev,
               libxerces-c-dev,
               libxml2-dev,
               libzstd-dev,
               lsb-release,
               netcdf-bin,
               patch,
               python3-all-dev,
               python3-numpy,
               python3-distutils,
               swig,
               unixodbc-dev (>= 2.2.11),
               zlib1g-dev
Build-Conflicts: automake1.11
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
Homepage: http://www.gdal.org/

Package: libgdal27
Architecture: any
Section: libs
Depends: gdal-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: proj-bin
Breaks: libgdal1h (<< 2.0)
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal-dev
Architecture: any
Section: libdevel
Depends: libgdal27 (= ${binary:Version}),
         libc6-dev,
         libarmadillo-dev,
         libcfitsio-dev,
         libcharls-dev,
         libcurl4-gnutls-dev | libcurl-ssl-dev,
         libdap-dev,
         libepsilon-dev,
         libexpat1-dev,
         libfreexl-dev,
         libfyba-dev,
         libgeos-dev,
         libgeotiff-dev (>= 1.5.0),
         libgif-dev,
         libhdf4-alt-dev,
         libhdf5-dev,
         libjpeg-dev,
         libjson-c-dev,
         libkml-dev,
         libltdl-dev,
         liblzma-dev,
 default-libmysqlclient-dev,
         libnetcdf-dev,
         libogdi-dev,
         libopenjp2-7-dev,
         libpcre3-dev,
         libpng-dev,
         libpoppler-private-dev,
         libpq-dev,
         libproj-dev (>= 6.0.0),
         libqhull-dev,
         libspatialite-dev,
         libsqlite3-dev,
         libtiff-dev,
         liburiparser-dev,
         libwebp-dev,
         libxerces-c-dev,
         libxml2-dev,
         libzstd-dev,
         unixodbc-dev,
         ${misc:Depends}
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script).

Package: gdal-bin
Architecture: any
Depends: python3-gdal (= ${binary:Version}),
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-grass
Breaks: gdal-bin (<< 1.10.0-0~),
        python-gdal (<< 2.4.3~)
Replaces: python-gdal (<< 2.4.3~)
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: gdal-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgdal20 (<< 2.5.0~)
Description: Geospatial Data Abstraction Library - Data files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the GDAL data files.

Package: python3-gdal
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gdal-bin
Description: Python 3 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python 3 bindings for the GDAL/OGR library.

Package: libgdal-perl
Architecture: any
Section: perl
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgdal-perl-doc
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for the GDAL/OGR library.

Package: libgdal-perl-doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
Replaces: libgdal-perl (<< 2.2.3+dfsg-2~exp1)
Section: doc
Description: Documentation for the GDAL Perl bindings
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the documentation of the Perl bindings for
 GDAL/OGR library.

## gdal 3.1.2+dfsg

=== debian/changelog ===
gdal (3.1.2+dfsg-1build2) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:45:02 +0100

gdal (3.1.2+dfsg-1build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:43:53 +0100

gdal (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for alpha.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2020 15:13:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science

## gdal 3.1.3+dfsg

=== debian/changelog ===
gdal (3.1.3+dfsg-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:01:33 +0100

gdal (3.1.3+dfsg-1ubuntu2) groovy; urgency=medium

  * Tweak fedora patch to fix another rpc.h related fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 22:19:07 +0200

gdal (3.1.3+dfsg-1ubuntu1) groovy; urgency=medium

  * debian/patches/gdal_tirpcinc.patch:
    - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2020 21:38:54 +0200

gdal (3.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides for renamed tags.
  * Update symbols for 3.1.3~rc1.
  * Drop poppler patch, included upstream.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2020 12:49:57 +0200

gdal (3.1.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix duplicate files in copyright file.
  * Add lintian overrides for file-references-package-build-path.
  * Drop libspatialite-dev version requirement.
  * Update copyright years for Tamas Szekeres.
  * Refresh patches.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 11:47:53 +0200

gdal (3.1.2+dfsg-2) unstable; urgency=medium

  * Fix duplicate files in copyright file.
  * Add lintian overrides for file-references-package-build-path.
  * Drop libspatialite-dev version requirement.
  * Add upstream patch to fix FTBFS with poppler 20.09.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Sep 2020 12:14:21 +0200

## gdal 3.1.4+dfsg

=== debian/changelog ===
gdal (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.1.4~rc2.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Oct 2020 07:08:16 +0200

gdal (3.1.4~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop charls.patch, applied upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Oct 2020 13:42:25 +0200

gdal (3.1.4~rc1+dfsg-1~exp2) experimental; urgency=medium

  * Add patch to restore CharLS support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Oct 2020 05:45:50 +0200

gdal (3.1.4~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Oct 2020 18:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gdal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -41,7 +40,7 @@
                libpq-dev,
                libproj-dev (>= 6.0.0),
                libqhull-dev,
-               libspatialite-dev (>= 4.3.0-3~),
+               libspatialite-dev,
                libsqlite3-dev,
                libtiff-dev,
                liburiparser-dev,

## gdal 3.2.0+dfsg

=== debian/changelog ===
gdal (3.2.0+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 14:49:35 +0100

gdal (3.2.0+dfsg-1) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update symbols for alpha.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Dec 2020 13:02:47 +0100

gdal (3.2.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.0~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 10:57:40 +0100

gdal (3.2.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for mips*el.
  * Update copyright file.
  * Refresh patches.
  * Rename library package for SONAME bump.
  * Enable heif support.
  * Update install file for gdal-bin.
  * Update lintian overrides.
  * Enable libdeflate support.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Oct 2020 15:15:17 +0100

gdal (3.1.4+dfsg-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Nov 2020 17:13:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -126,6 +126,7 @@
 			--with-cfitsio=yes \
 			--with-charls \
 			--with-curl \
+			--with-libdeflate \
 			--with-ecw=no \
 			--with-epsilon=/usr \
 			--with-freexl=yes \
@@ -133,6 +134,7 @@
 			--with-geotiff=yes \
 			--with-grass=no \
 			$(WITH_HDF5) \
+			--with-heif \
 			--with-libjson-c=/usr \
 			--with-libkml=yes \
 			--with-liblzma=yes \

## gdal 3.2.1+dfsg

=== debian/changelog ===
gdal (3.2.1+dfsg-1ubuntu3) hirsute; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Feb 2021 08:28:48 +0100

gdal (3.2.1+dfsg-1ubuntu2) hirsute; urgency=medium

  * Rebuild against new libdap27.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Feb 2021 09:57:13 +0100

gdal (3.2.1+dfsg-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2021 11:02:57 +0100

gdal (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.1~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jan 2021 13:49:29 +0100

gdal (3.2.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Apply patch by John Paul Adrian Glaubitz to fix FTBFS on sh4.
    (closes: #976795)
  * Update copyright file.
  * Use DEB_CXXFLAGS_MAINT_APPEND instead of DEB_CXXFLAGS_APPEND.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Dec 2020 15:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libdap-dev,
+               libdeflate-dev,
                libdoxygen-filter-perl,
                libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
@@ -25,6 +26,7 @@
                libgif-dev,
                libhdf4-alt-dev,
                libhdf5-dev (>= 1.8.8),
+               libheif-dev,
                libjpeg-dev,
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
@@ -58,12 +60,12 @@
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
 Build-Conflicts: automake1.11
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal27
+Package: libgdal28
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
@@ -93,13 +95,14 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal27 (= ${binary:Version}),
+Depends: libgdal28 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
          libdap-dev,
+         libdeflate-dev,
          libepsilon-dev,
          libexpat1-dev,
          libfreexl-dev,
@@ -109,6 +112,7 @@
          libgif-dev,
          libhdf4-alt-dev,
          libhdf5-dev,
+         libheif-dev,
          libjpeg-dev,
          libjson-c-dev,
          libkml-dev,

## gdal 3.2.2~rc1+dfsg

=== debian/changelog ===
gdal (3.2.2~rc1+dfsg-1~exp1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gdal_tirpcinc.patch:
      - Add patch from Fedora to fix build with new glibc (and removed rpc.h)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Mar 2021 21:24:47 +0100

gdal (3.2.2~rc1+dfsg-1~exp1) unstable; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Mar 2021 14:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
 Build-Conflicts: automake1.11
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b experimental
 Homepage: http://www.gdal.org/
 
 Package: libgdal28

## gdal 3.2.2+dfsg

=== frmts/pcidsk/sdk/Makefile ===

# Comment out to skip use of libjpeg
JPEG_FLAGS = -DHAVE_LIBJPEG
JPEG_LDFLAGS = -ljpeg

OBJ = \
	channel/cbandinterleavedchannel.o \
	channel/cpcidskchannel.o \
	channel/cpixelinterleavedchannel.o \
	channel/ctiledchannel.o \
	core/cpcidskfile.o \
	core/libjpeg_io.o \
	core/metadataset_p.o \
	core/pcidskbuffer.o \
	core/pcidskcreate.o \
	core/pcidskexception.o \
	core/pcidskinterfaces.o \
	core/pcidskopen.o \
	core/pcidsk_pubutils.o \
	core/pcidsk_utils.o \
	core/sysvirtualfile.o \
	port/io_stdio.o \
	port/pthread_mutex.o \
	segment/cpcidskgeoref.o \
	segment/cpcidskpct.o \
	segment/cpcidsksegment.o \
	segment/cpcidskvectorsegment.o \
	segment/metadatasegment_p.o \
	segment/sysblockmap.o \
	segment/cpcidskrpcmodel.o \
	segment/cpcidskgcp2segment.o \
	segment/cpcidskbitmap.o \
	segment/cpcidsk_tex.o


CXXFLAGS = -g -O0 -Wall -fPIC -I. $(JPEG_FLAGS)

default:	pcidsk.a libpcidsk.so

pcidsk.a: $(OBJ)
	ar r pcidsk.a $(OBJ)

libpcidsk.so: $(OBJ)
	g++ -fPIC $(JPEG_LDFLAGS) -ldl -shared -o libpcidsk.so $(OBJ)

clean:
	rm -f $(OBJ)
	-rm -f *.o
	-rm -f *.a
	-rm -f *.so

core_comp:
	(cd core; $(MAKE))
	(cd channel; $(MAKE))
	(cd segment; $(MAKE))
	(cd port; $(MAKE))

check:	default	
	(cd ../tests; $(MAKE) check)

$(OBJ):	pcidsk.h pcidsk_config.h 

%.o:	%.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<

docs:
	doxygen

=== debian/changelog ===
gdal (3.2.2+dfsg-2+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix a heap-based buffer overflow in PCIDSK::CPCIDSKFile::ReadFromFile
    (CVE-2021-45943).

 -- Aron Xu <aron@debian.org>  Wed, 21 Sep 2022 06:52:45 +0000

gdal (3.2.2+dfsg-2+deb11u1) bullseye; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Add upstream patches to fix BAG 2.0 Extract support in LVBAG driver.
    (closes: #1000437)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Nov 2021 10:11:54 +0100

gdal (3.2.2+dfsg-2) unstable; urgency=medium

  * Drop Breaks from gdal-data to make libgdal20 & libgdal28 co-installable.
    (closes: #986975)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Jun 2021 21:06:09 +0200

gdal (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.2.2~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Mar 2021 15:12:55 +0100

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
 Build-Conflicts: automake1.11
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b bullseye
 Homepage: http://www.gdal.org/
 
 Package: libgdal28
@@ -193,7 +193,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: libgdal20 (<< 2.5.0~)
 Description: Geospatial Data Abstraction Library - Data files
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,11 @@
   WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 else
   WITH_HDF5:=
+endif
+
+# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98189
+ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
+  export DEB_CXXFLAGS_MAINT_APPEND=-fno-guess-branch-probability
 endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
https://download.osgeo.org/gdal/(\d+\.\d+\.\d+)/ \
(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## gdal 3.3.2+dfsg

=== debian/changelog ===
gdal (3.3.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Remove executable bit from examples.
  * Drop --autodest from dh_install.
  * Disable DODS support, libdap causes FTBFS.
  * Add pkg-config to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Sep 2021 22:16:07 +0200

gdal (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.2~rc3.
  * Update watch file to mangle dirversion.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Sep 2021 13:24:04 +0200

gdal (3.3.2~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Override dh_autoreconf to create config.rpath.
    (closes: #993334)
  * Refresh patches.
  * Drop obsolete ogdi patch.
  * Update directory pattern to also match pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 16:34:55 +0200

gdal (3.3.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.1~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 15:02:33 +0200

gdal (3.3.1~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Jun 2021 14:14:32 +0200

gdal (3.3.0+dfsg-1~exp2) experimental; urgency=medium

  * Include changes from 3.2.2+dfsg-2.
  * Drop obsolete Breaks on libgdal1h.
  * Drop obsolete dh_shlibdeps override.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jun 2021 05:56:17 +0200

gdal (3.3.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.3.0~rc1.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 May 2021 15:05:33 +0200

gdal (3.3.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update symbols for 3.2.2~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Apr 2021 15:19:59 +0200

gdal (3.3.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Drop epsilon support, removed upstream.
  * Rename library package for SONAME bump.
  * Use veryclean target for python bindings.
  * Update rules for moved python scripts.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Apr 2021 06:56:36 +0200

gdal (3.2.2+dfsg-3) unstable; urgency=medium

  * Override dh_autoreconf to create config.rpath.
    (closes: #993334)
  * Drop obsolete ogdi patch.
  * Drop obsolete Breaks on libgdal1h.
  * Drop obsolete dh_shlibdeps override.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 18:08:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -101,8 +101,13 @@
 		dh $@ --with python3 ; \
 	fi
 
+override_dh_autoreconf:
+	touch config.rpath
+
+	dh_autoreconf
+
 override_dh_clean:
-	dh_clean config.log
+	dh_clean config.log config.rpath
 
 override_dh_auto_clean:
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
@@ -133,7 +138,6 @@
 			--with-curl \
 			--with-libdeflate \
 			--with-ecw=no \
-			--with-epsilon=/usr \
 			--with-freexl=yes \
 			--with-geos \
 			--with-geotiff=yes \
@@ -160,7 +164,6 @@
 			--with-webp \
 			--with-xerces \
 			--with-zstd \
-			--with-dods-root=/usr \
 			--with-perl \
 			--with-python; \
 		mv GDALmake.opt GDALmake.opt-$$V; \
@@ -175,7 +178,7 @@
 	# It needs pre-installing just after the building due to intermediate cleaning.
 	for V in $(PYVERS); do \
 		cp GDALmake.opt-$$V GDALmake.opt && \
-		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python clean && \
+		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python veryclean && \
 		$(MAKE) -C $(CURDIR)/swig/python generate && \
 		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python build && \
 		$(MAKE) $(NJOBS) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
@@ -190,7 +193,7 @@
 	# install python stuff previuosly built and pre-installed
 	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
-	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.
+	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/*.py $(CURDIR)/debian/tmp/usr/bin/.
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1
@@ -206,10 +209,8 @@
 
 	# copy sample programs for python3-gdal
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples
-	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
-
-override_dh_install:
-	dh_install --autodest --list-missing
+	install -o root -g root -m 644 $(CURDIR)/swig/python/gdal-utils/osgeo_utils/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/.
+	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -229,6 +230,3 @@
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
 	# Forces failure when symbols change
 	#dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-
-override_dh_shlibdeps:
-	dh_shlibdeps -L libgdal26 -l debian/libgdal26/usr/lib

## gdal 3.3.3+dfsg

=== debian/changelog ===
gdal (3.3.3+dfsg-2) unstable; urgency=medium

  * Add upstream patches from 3.4.0 for LVBAG driver issues.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Nov 2021 06:40:25 +0100

gdal (3.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix installation of python scripts.
  * Update symbols for 3.3.3~rc1.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Oct 2021 17:36:55 +0200

gdal (3.3.3~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Oct 2021 15:47:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                doxygen,
                graphviz,
@@ -14,10 +14,8 @@
                libcfitsio-dev,
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
-               libdap-dev,
                libdeflate-dev,
                libdoxygen-filter-perl,
-               libepsilon-dev (>= 0.9.1-1~),
                libexpat1-dev,
                libfreexl-dev (>= 1.0.0),
                libfyba-dev,
@@ -53,6 +51,7 @@
                lsb-release,
                netcdf-bin,
                patch,
+               pkg-config,
                python3-all-dev,
                python3-numpy,
                python3-distutils,
@@ -60,19 +59,18 @@
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
 Build-Conflicts: automake1.11
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal
-Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git -b bullseye
+Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal28
+Package: libgdal29
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: proj-bin
-Breaks: libgdal1h (<< 2.0)
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -95,15 +93,13 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal28 (= ${binary:Version}),
+Depends: libgdal29 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
-         libdap-dev,
          libdeflate-dev,
-         libepsilon-dev,
          libexpat1-dev,
          libfreexl-dev,
          libfyba-dev,

=== debian/rules ===
--- 
+++ 
@@ -193,7 +193,7 @@
 	# install python stuff previuosly built and pre-installed
 	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
-	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/*.py $(CURDIR)/debian/tmp/usr/bin/.
+	install -o root -g root -m 755 $(CURDIR)/swig/python/gdal-utils/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.
 
 	# removing useless autogenerated man pages
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/man1/_*_apps_.1

## gdal 3.4.0+dfsg

=== debian/changelog ===
gdal (3.4.0+dfsg-1) unstable; urgency=medium

  * Update symbols for hppa & riscv64.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Dec 2021 12:40:33 +0100

gdal (3.4.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 3.4.0~rc3.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Nov 2021 15:02:37 +0100

gdal (3.4.0~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Nov 2021 13:54:37 +0100

gdal (3.4.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 Nov 2021 13:32:20 +0100

gdal (3.4.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Enable blosc support.
  * Enable lz4 support.
  * Rename library package for SONAME bump.
  * Refresh patches.
  * Don't override dh_autoreconf to create config.rpath, included upstream.
  * Update dh_clean override to remove move generated files.
  * Add python3-setuptools to build dependencies.
  * Don't install testepsg, removed upstream.
  * Update dh_installchangelogs override for NEWS.md rename.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Nov 2021 18:16:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                chrpath,
                bash-completion,
                libarmadillo-dev,
+               libblosc-dev,
                libcfitsio-dev,
                libcharls-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -28,6 +29,7 @@
                libjpeg-dev,
                libjson-c-dev,
                libkml-dev (>= 1.3.0~rc0-3),
+               liblz4-dev,
                liblzma-dev,
                libmodern-perl-perl,
        default-libmysqlclient-dev,
@@ -55,6 +57,7 @@
                python3-all-dev,
                python3-numpy,
                python3-distutils,
+               python3-setuptools,
                swig,
                unixodbc-dev (>= 2.2.11),
                zlib1g-dev
@@ -64,7 +67,7 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal.git
 Homepage: http://www.gdal.org/
 
-Package: libgdal29
+Package: libgdal30
 Architecture: any
 Section: libs
 Depends: gdal-data (>= ${source:Version}),
@@ -93,9 +96,10 @@
 Package: libgdal-dev
 Architecture: any
 Section: libdevel
-Depends: libgdal29 (= ${binary:Version}),
+Depends: libgdal30 (= ${binary:Version}),
          libc6-dev,
          libarmadillo-dev,
+         libblosc-dev,
          libcfitsio-dev,
          libcharls-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -113,6 +117,7 @@
          libjson-c-dev,
          libkml-dev,
          libltdl-dev,
+         liblz4-dev,
          liblzma-dev,
  default-libmysqlclient-dev,
          libnetcdf-dev,

=== debian/rules ===
--- 
+++ 
@@ -101,13 +101,11 @@
 		dh $@ --with python3 ; \
 	fi
 
-override_dh_autoreconf:
-	touch config.rpath
-
-	dh_autoreconf
-
 override_dh_clean:
-	dh_clean config.log config.rpath
+	dh_clean config.log \
+	         config.status \
+	         libtool \
+	         port/cpl_config.h
 
 override_dh_auto_clean:
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
@@ -133,6 +131,7 @@
 			--with-avx=$(WITH_AVX) \
 			--with-bash-completion=yes \
 			--with-armadillo=yes \
+			--with-blosc=yes \
 			--with-cfitsio=yes \
 			--with-charls \
 			--with-curl \
@@ -148,6 +147,7 @@
 			--with-libkml=yes \
 			--with-liblzma=yes \
 			--with-libtiff=yes \
+			--with-lz4=yes \
 			--with-mrsid=no \
 			--with-mysql \
 			--with-netcdf \
@@ -213,7 +213,7 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/python3-gdal/examples/__init__.py
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.md
 
 override_dh_installdocs:
 	dh_installdocs -A third_party/LercLib/NOTICE
